"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _MuiThemeProvider = require("material-ui/styles/MuiThemeProvider");

var _MuiThemeProvider2 = _interopRequireDefault(_MuiThemeProvider);

var _getMuiTheme = require("material-ui/styles/getMuiTheme");

var _getMuiTheme2 = _interopRequireDefault(_getMuiTheme);

var _colors = require("material-ui/styles/colors");

var _DropDownMenu = require("material-ui/DropDownMenu");

var _DropDownMenu2 = _interopRequireDefault(_DropDownMenu);

var _MenuItem = require("material-ui/MenuItem");

var _MenuItem2 = _interopRequireDefault(_MenuItem);

var _ramda = require("ramda");

var _ramda2 = _interopRequireDefault(_ramda);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DropDown = function DropDown(props) {
	var muiTheme = (0, _getMuiTheme2.default)({
		palette: {
			accent1Color: _colors.deepOrange500
		}
	});
	var options = props.options;
	var d = props.defaultValue;
	var defaultValue = void 0;
	if (_ramda2.default.find(_ramda2.default.propEq("value", d))(options)) {
		defaultValue = props.defaultValue || options[0].value;
	} else {
		defaultValue = options[0].value;
	}
	return _react2.default.createElement(
		_MuiThemeProvider2.default,
		{ muiTheme: muiTheme },
		_react2.default.createElement(
			_DropDownMenu2.default,
			{ value: defaultValue, onChange: props.onChange },
			options.map(function (option) {
				return _react2.default.createElement(_MenuItem2.default, { value: option.value, primaryText: option.label, key: option.value.toString() });
			})
		)
	);
}; /**
    * Created by deepcoder on 06/11/16.
    */


DropDown.propTypes = {
	options: _react2.default.PropTypes.arrayOf(_react2.default.PropTypes.shape({
		value: _react2.default.PropTypes.node.isRequired,
		label: _react2.default.PropTypes.node.isRequired
	}).isRequired)
};

exports.default = DropDown;